<div class="app-edit-user-component" *ngIf="this.user">
  <div class="app-edit-user-component__container">
    <h2>Changer mes infos perso</h2>
    <form [formGroup]="userEditForm">
      <div class="app-edit-user-component__first-name user-infos">
        <mat-form-field>
          <mat-label>Prénom</mat-label>
          <input matInput type="text" formControlName="firstname" >
        </mat-form-field>
      </div>
      <div class="app-edit-user-component__last-name user-infos">
        <mat-form-field>
          <mat-label>Nom</mat-label>
          <input matInput type="text" formControlName="lastname">
        </mat-form-field>
      </div>
      <div class="app-edit-user-component__mail user-infos">
        <mat-form-field>
          <mat-label>Mail</mat-label>
          <input matInput type="email" formControlName="mail">
        </mat-form-field>
      </div>

      <div class="app-edit-user-component__password user-infos">
        <mat-form-field>
          <mat-label>Mot de passe actuel</mat-label>
          <input matInput type="password" formControlName="currentPassword">
        </mat-form-field>
        <mat-form-field>
          <mat-label>Nouveau mot de passe</mat-label>
          <input matInput type="password" formControlName="newPassword">
        </mat-form-field>
        <mat-form-field>
          <mat-label>Confirmation du mot de passe</mat-label>
          <input matInput type="password" formControlName="newPasswordConfirm">
        </mat-form-field>
      </div>

      <h3>Changer de photo de profil</h3>
      <div class="app-edit-user-component__update">
        <label for="up" class="mat-raised-button">Uploader un avatar</label>
        <input id="up" type="file" (change)="detectFile($event)" accept="image/*" *ngIf="!fileIsUploading" />

        <image-cropper
            [imageChangedEvent]="imageChangedEvent"
            [maintainAspectRatio]="true"
            [aspectRatio]="1/1"
            format="png"
            (imageCropped)="imageCropped($event)"
        ></image-cropper>

        <!--div class="app-edit-user-component__preview">
          <img [src]="croppedImage || user.photoURL" alt="">
        </div-->
        <!--div class="new-post-component__progress">
          <mat-progress-spinner
          class="example-margin"
          *ngIf="fileIsUploading"
          mode="determinate"
          [value]="loading">
          </mat-progress-spinner>
        </div-->
      </div>

      <div class="app-edit-user-component__submit">
        <button mat-flat-button color="primary" (click)="onSubmit()">Modifier</button>
      </div>
    </form>
  </div>
</div>

